MAC OS X: Forum

Tiger to Leopard for PPC

COW Forums : Apple OS X

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
Mike SweetTiger to Leopard for PPC
by on Oct 6, 2010 at 5:09:40 am

If I want to move from 10.4.11 on my old Powerbook G4 (PPC) to 10.5, will the installation discs of Leopard 10.5 (originally for iMac) be compatible? I could buy on eBay either 10.5.2 or 10.5.6 versions - (of course 10.5 Leopard is now discontinued). Thanks.


Return to posts index

Chuck RetiRe: Tiger to Leopard for PPC
by on Oct 6, 2010 at 2:52:40 pm

Install discs that are provided with a machine are in almost all instances specific to that computer. There are usually hardware-specific items in the system software that only pertain to that machine. You need to get a "retail" version of Leopard 10.5x, which will install on any Mac.
You'll find that this version is much in demand, and thus a bit high in price, as many (myself included), want to get the last version of OS X that will install on older machines.


Return to posts index

Mike SweetRe: Tiger to Leopard for PPC
by on Oct 7, 2010 at 9:43:18 am

Thanks. If I do manage to get OSX 10.5 - is there any problem with moving from Tiger to Leopard in relation to the versions of FCP that I am running? I run FCP HD on my Powerbook and FCP 6 on my G5 (also PPC).
Both machines are currently using OSX 10.4.11



Return to posts index


Chuck RetiRe: Tiger to Leopard for PPC
by on Oct 7, 2010 at 11:53:16 am

Not sure how FCP HD (v4 or 4.5) might play on Leopard. I don't have that answer; I know it's been discussed here in the past. I'm thinking you might want to upgrade your FCP suite as well.


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2017 CreativeCOW.net All Rights Reserved
[TOP]